Subject: bug#58429: 29.0.50; inhibit-automatic-native-compilation does not work as expected.

From: Andrea Corallo <[email-masked]>
Date: Tue, 11 Oct 2022 19:37:12 +0000

Max Brieiev <[email-masked]> writes:

> Then I think this bug report can be closed.
>
> Out of curiosity, isn't native compilation something that should be
> working out of the box, meaning that a package shouldn't be dealing with
> it directly? Why would magit (and other packages) run native-compiler
> explicitly?

Exactly.  I don't think magit is trying to invoke the native compiler
directly (I don't see any trace of that in magit's source code).  Also
other packages are reported to show the same issue (probably the one
with no .eln already available).

If this is the case is just `inhibit-automatic-native-compilation' not
doing what it promises (read being broken).

  Andrea